<?php
declare(strict_types=1);

namespace Inti\Moto\Console;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;
use Laminas\ServiceManager\ServiceManager;

$config = (new ConfigAggregator([
    \Inti\Db\ConfigProvider::class,
    ConfigProvider::class,
    new PhpFileProvider(__DIR__ . '/config.local.php'),
]))->getMergedConfig();

$config['dependencies']['services']['config'] = $config;
return new ServiceManager($config['dependencies']);
