<?php
declare(strict_types=1);

namespace Inti\Moto\Console;

use Inti\Db\Connection\ConnectionManager;
use Psr\Container\ContainerInterface;
use Symfony\Component\Console\Command\Command;

/**
 * Class ImportFactory
 *
 * @package Inti\Moto\Console
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-moto-cli
 */
final class CommandFactory
{
    public function __invoke(ContainerInterface $container, string $requestedName): Command
    {
        /** @var ConnectionManager $connections */
        $connections = $container->get(ConnectionManager::class);
        return new $requestedName($connections->get('moto'));
    }
}
