<?php
declare(strict_types=1);

namespace Inti\Moto\Console;

/**
 * Class ConfigProvider
 *
 * @package Inti\Moto\Console
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-moto-cli
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'db_connections' => [
                'moto' => [
                    'driver' => 'pdo_mysql',
                    'charset' => 'utf8mb4',
                    'host' => 'localhost',
                    'user' => '',
                    'password' => '',
                    'dbname' => '',
                    'defaultTableOptions' => [
                        'collate' => 'utf8mb4_croatian_ci',
                    ],
                ],
            ],

            'dependencies' => [
                'factories' => [
                    Import\Data::class => CommandFactory::class,
                    Import\Translations::class => CommandFactory::class,
                    Export\Translations::class => CommandFactory::class,
                    Schema\Create::class => CommandFactory::class,
                    Schema\Drop::class => CommandFactory::class,
                ],
            ],
        ];
    }
}
